PLplot: sfstubs.f90 File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions
sfstubs.f90 File Reference

Go to the source code of this file.

## Functions
subroutine | plsetopt (opt, optarg)
subroutine | plabort (text)
subroutine | plsdev (dnam)
subroutine | plgdev (dnam)
subroutine | plsfnam (fnam)
subroutine | plgfnam (fnam)
subroutine | plgver (ver)
subroutine | plaxes (x0, y0, xopt, xtick, nxsub, yopt, ytick, nysub)
subroutine | plbox (xopt, xtick, nxsub, yopt, ytick, nysub)
subroutine | plbox3 (xopt, xlabel, xtick, nxsub, yopt, ylabel, ytick, nysub, zopt, zlabel, ztick, nzsub)
subroutine | plcontour_0 (z, kx, lx, ky, ly, clevel)
subroutine | plcontour_1 (z, kx, lx, ky, ly, clevel, xg, yg)
subroutine | plcontour_2 (z, kx, lx, ky, ly, clevel, xg, yg)
subroutine | plcontour_tr (z, kx, lx, ky, ly, clevel, tr)
subroutine | plcontour_0_all (z, clevel)
subroutine | plcontour_1_all (z, clevel, xg, yg)
subroutine | plcontour_2_all (z, clevel, xg, yg)
subroutine | plcontour_tr_all (z, clevel, tr)
subroutine | plstring (x, y, string)
subroutine | plstring3 (x, y, z, string)
subroutine | plvectors_0 (u, v, scale)
subroutine | plvectors_1 (u, v, scale, xg, yg)
subroutine | plvectors_2 (u, v, scale, xg, yg)
subroutine | plvectors_tr (u, v, scale, tr)
subroutine | plshade_single_0 (z, defined, xmin, xmax, ymin, ymax, shade_min, shade_max, sh_cmap, sh_color, sh_width, min_color, min_width, max_color, max_width)
subroutine | plshade_single_1 (z, defined, xmin, xmax, ymin, ymax, shade_min, shade_max, sh_cmap, sh_color, sh_width, min_color, min_width, max_color, max_width, xg, yg)
subroutine | plshade_single_2 (z, defined, xmin, xmax, ymin, ymax, shade_min, shade_max, sh_cmap, sh_color, sh_width, min_color, min_width, max_color, max_width, xg, yg)
subroutine | plshade_single_tr (z, defined, xmin, xmax, ymin, ymax, shade_min, shade_max, sh_cmap, sh_color, sh_width, min_color, min_width, max_color, max_width, tr)
subroutine | plshades_multiple_0 (z, defined, xmin, xmax, ymin, ymax, clevel, fill_width, cont_color, cont_width, rectangular)
subroutine | plshades_multiple_1 (z, defined, xmin, xmax, ymin, ymax, clevel, fill_width, cont_color, cont_width, xg1, yg1)
subroutine | plshades_multiple_1r (z, defined, xmin, xmax, ymin, ymax, clevel, fill_width, cont_color, cont_width, rectangular, xg1, yg1)
subroutine | plshades_multiple_2 (z, defined, xmin, xmax, ymin, ymax, clevel, fill_width, cont_color, cont_width, xg2, yg2)
subroutine | plshades_multiple_2r (z, defined, xmin, xmax, ymin, ymax, clevel, fill_width, cont_color, cont_width, rectangular, xg2, yg2)
subroutine | plshades_multiple_tr (z, defined, xmin, xmax, ymin, ymax, clevel, fill_width, cont_color, cont_width, tr)
subroutine | plshades_multiple_trr (z, defined, xmin, xmax, ymin, ymax, clevel, fill_width, cont_color, cont_width, rectangular, tr)
subroutine | plimagefr_0 (z, xmin, xmax, ymin, ymax, zmin, zmax, valuemin, valuemax)
subroutine | plimagefr_1 (z, xmin, xmax, ymin, ymax, zmin, zmax, valuemin, valuemax, xg, yg)
subroutine | plimagefr_2 (z, xmin, xmax, ymin, ymax, zmin, zmax, valuemin, valuemax, xg, yg)
subroutine | plimagefr_tr (z, xmin, xmax, ymin, ymax, zmin, zmax, valuemin, valuemax, tr)
subroutine | pllab (xlab, ylab, title)
subroutine | plspal0 (filename)
subroutine | plspal1 (filename, interpolate)
subroutine | plmtex (side, disp, pos, xjust, text)
subroutine | plmtex3 (side, disp, pos, xjust, text)
subroutine | plptex (x, y, dx, dy, xjust, text)
subroutine | plptex3 (x, y, z, dx, dy, dz, sx, sy, sz, xjust, text)
subroutine | plstart (devname, nx, ny)
subroutine | pltimefmt (fmt)

## Function Documentation

subroutine plabort | ( | character*(*) | text | ) |

Definition at line 54 of file sfstubs.f90.

subroutine plaxes | ( | real(kind=plflt) | x0,
|  | real(kind=plflt) | y0,
|  | character*(*) | xopt,
|  | real(kind=plflt) | xtick,
|  | integer | nxsub,
|  | character*(*) | yopt,
|  | real(kind=plflt) | ytick,
|  | integer | nysub
| ) |  |

Definition at line 130 of file sfstubs.f90.

subroutine plbox | ( | character*(*) | xopt,
|  | real(kind=plflt) | xtick,
|  | integer | nxsub,
|  | character*(*) | yopt,
|  | real(kind=plflt) | ytick,
|  | integer | nysub
| ) |  |

Definition at line 148 of file sfstubs.f90.

subroutine plbox3 | ( | character*(*) | xopt,
|  | character*(*) | xlabel,
|  | real(kind=plflt) | xtick,
|  | integer | nxsub,
|  | character*(*) | yopt,
|  | character*(*) | ylabel,
|  | real(kind=plflt) | ytick,
|  | integer | nysub,
|  | character*(*) | zopt,
|  | character*(*) | zlabel,
|  | real(kind=plflt) | ztick,
|  | integer | nzsub
| ) |  |

Definition at line 166 of file sfstubs.f90.

subroutine plcontour_0 | ( | real(kind=plflt), dimension(:,:) | z,
|  | integer | kx,
|  | integer | lx,
|  | integer | ky,
|  | integer | ly,
|  | real(kind=plflt), dimension(:) | clevel
| ) |  |

Definition at line 195 of file sfstubs.f90.

subroutine plcontour_0_all | ( | real(kind=plflt), dimension(:,:) | z,
|  | real(kind=plflt), dimension(:) | clevel
| ) |  |

Definition at line 244 of file sfstubs.f90.

subroutine plcontour_1 | ( | real(kind=plflt), dimension(:,:) | z,
|  | integer | kx,
|  | integer | lx,
|  | integer | ky,
|  | integer | ly,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt), dimension(:) | xg,
|  | real(kind=plflt), dimension(:) | yg
| ) |  |

Definition at line 207 of file sfstubs.f90.

subroutine plcontour_1_all | ( | real(kind=plflt), dimension(:,:) | z,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt), dimension(:) | xg,
|  | real(kind=plflt), dimension(:) | yg
| ) |  |

Definition at line 260 of file sfstubs.f90.

subroutine plcontour_2 | ( | real(kind=plflt), dimension(:,:) | z,
|  | integer | kx,
|  | integer | lx,
|  | integer | ky,
|  | integer | ly,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt), dimension(:,:) | xg,
|  | real(kind=plflt), dimension(:,:) | yg
| ) |  |

Definition at line 219 of file sfstubs.f90.

subroutine plcontour_2_all | ( | real(kind=plflt), dimension(:,:) | z,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt), dimension(:,:) | xg,
|  | real(kind=plflt), dimension(:,:) | yg
| ) |  |

Definition at line 276 of file sfstubs.f90.

subroutine plcontour_tr | ( | real(kind=plflt), dimension(:,:) | z,
|  | integer | kx,
|  | integer | lx,
|  | integer | ky,
|  | integer | ly,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt), dimension(6) | tr
| ) |  |

Definition at line 231 of file sfstubs.f90.

subroutine plcontour_tr_all | ( | real(kind=plflt), dimension(:,:) | z,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt), dimension(6) | tr
| ) |  |

Definition at line 292 of file sfstubs.f90.

subroutine plgdev | ( | character*(*) | dnam | ) |

Definition at line 80 of file sfstubs.f90.

subroutine plgfnam | ( | character*(*) | fnam | ) |

Definition at line 105 of file sfstubs.f90.

subroutine plgver | ( | character*(*) | ver | ) |

Definition at line 117 of file sfstubs.f90.

subroutine plimagefr_0 | ( | real(kind=plflt), dimension(:,:) | z,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt) | zmin,
|  | real(kind=plflt) | zmax,
|  | real(kind=plflt) | valuemin,
|  | real(kind=plflt) | valuemax
| ) |  |

Definition at line 711 of file sfstubs.f90.

subroutine plimagefr_1 | ( | real(kind=plflt), dimension(:,:) | z,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt) | zmin,
|  | real(kind=plflt) | zmax,
|  | real(kind=plflt) | valuemin,
|  | real(kind=plflt) | valuemax,
|  | real(kind=plflt), dimension(:) | xg,
|  | real(kind=plflt), dimension(:) | yg
| ) |  |

Definition at line 725 of file sfstubs.f90.

subroutine plimagefr_2 | ( | real(kind=plflt), dimension(:,:) | z,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt) | zmin,
|  | real(kind=plflt) | zmax,
|  | real(kind=plflt) | valuemin,
|  | real(kind=plflt) | valuemax,
|  | real(kind=plflt), dimension(:,:) | xg,
|  | real(kind=plflt), dimension(:,:) | yg
| ) |  |

Definition at line 739 of file sfstubs.f90.

subroutine plimagefr_tr | ( | real(kind=plflt), dimension(:,:) | z,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt) | zmin,
|  | real(kind=plflt) | zmax,
|  | real(kind=plflt) | valuemin,
|  | real(kind=plflt) | valuemax,
|  | real(kind=plflt), dimension(6) | tr
| ) |  |

Definition at line 753 of file sfstubs.f90.

subroutine pllab | ( | character*(*) | xlab,
|  | character*(*) | ylab,
|  | character*(*) | title
| ) |  |

Definition at line 768 of file sfstubs.f90.

subroutine plmtex | ( | character*(*) | side,
|  | real(kind=plflt) | disp,
|  | real(kind=plflt) | pos,
|  | real(kind=plflt) | xjust,
|  | character*(*) | text
| ) |  |

Definition at line 815 of file sfstubs.f90.

subroutine plmtex3 | ( | character*(*) | side,
|  | real(kind=plflt) | disp,
|  | real(kind=plflt) | pos,
|  | real(kind=plflt) | xjust,
|  | character*(*) | text
| ) |  |

Definition at line 832 of file sfstubs.f90.

subroutine plptex | ( | real(kind=plflt) | x,
|  | real(kind=plflt) | y,
|  | real(kind=plflt) | dx,
|  | real(kind=plflt) | dy,
|  | real(kind=plflt) | xjust,
|  | character*(*) | text
| ) |  |

Definition at line 849 of file sfstubs.f90.

subroutine plptex3 | ( | real(kind=plflt) | x,
|  | real(kind=plflt) | y,
|  | real(kind=plflt) | z,
|  | real(kind=plflt) | dx,
|  | real(kind=plflt) | dy,
|  | real(kind=plflt) | dz,
|  | real(kind=plflt) | sx,
|  | real(kind=plflt) | sy,
|  | real(kind=plflt) | sz,
|  | real(kind=plflt) | xjust,
|  | character*(*) | text
| ) |  |

Definition at line 864 of file sfstubs.f90.

subroutine plsdev | ( | character*(*) | dnam | ) |

Definition at line 67 of file sfstubs.f90.

subroutine plsetopt | ( | character*(*) | opt,
|  | character*(*) | optarg
| ) |  |

Definition at line 39 of file sfstubs.f90.

subroutine plsfnam | ( | character*(*) | fnam | ) |

Definition at line 92 of file sfstubs.f90.

subroutine plshade_single_0 | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt) | shade_min,
|  | real(kind=plflt) | shade_max,
|  | integer | sh_cmap,
|  | real(kind=plflt) | sh_color,
|  | real(kind=plflt) | sh_width,
|  | integer | min_color,
|  | real(kind=plflt) | min_width,
|  | integer | max_color,
|  | real(kind=plflt) | max_width
| ) |  |

Definition at line 391 of file sfstubs.f90.

subroutine plshade_single_1 | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt) | shade_min,
|  | real(kind=plflt) | shade_max,
|  | integer | sh_cmap,
|  | real(kind=plflt) | sh_color,
|  | real(kind=plflt) | sh_width,
|  | integer | min_color,
|  | real(kind=plflt) | min_width,
|  | integer | max_color,
|  | real(kind=plflt) | max_width,
|  | real(kind=plflt), dimension(:) | xg,
|  | real(kind=plflt), dimension(:) | yg
| ) |  |

Definition at line 418 of file sfstubs.f90.

subroutine plshade_single_2 | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt) | shade_min,
|  | real(kind=plflt) | shade_max,
|  | integer | sh_cmap,
|  | real(kind=plflt) | sh_color,
|  | real(kind=plflt) | sh_width,
|  | integer | min_color,
|  | real(kind=plflt) | min_width,
|  | integer | max_color,
|  | real(kind=plflt) | max_width,
|  | real(kind=plflt), dimension(:,:) | xg,
|  | real(kind=plflt), dimension(:,:) | yg
| ) |  |

Definition at line 447 of file sfstubs.f90.

subroutine plshade_single_tr | ( | real(kind=plflt), dimension(:,:) | z,
|  | character(len=*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt) | shade_min,
|  | real(kind=plflt) | shade_max,
|  | integer | sh_cmap,
|  | real(kind=plflt) | sh_color,
|  | real(kind=plflt) | sh_width,
|  | integer | min_color,
|  | real(kind=plflt) | min_width,
|  | integer | max_color,
|  | real(kind=plflt) | max_width,
|  | real(kind=plflt), dimension(6) | tr
| ) |  |

Definition at line 476 of file sfstubs.f90.

subroutine plshades_multiple_0 | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt) | fill_width,
|  | integer | cont_color,
|  | real(kind=plflt) | cont_width,
|  | logical, optional | rectangular
| ) |  |

Definition at line 502 of file sfstubs.f90.

subroutine plshades_multiple_1 | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt) | fill_width,
|  | integer | cont_color,
|  | real(kind=plflt) | cont_width,
|  | real(kind=plflt), dimension(:) | xg1,
|  | real(kind=plflt), dimension(:) | yg1
| ) |  |

Definition at line 534 of file sfstubs.f90.

subroutine plshades_multiple_1r | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt) | fill_width,
|  | integer | cont_color,
|  | real(kind=plflt) | cont_width,
|  | logical | rectangular,
|  | real(kind=plflt), dimension(:) | xg1,
|  | real(kind=plflt), dimension(:) | yg1
| ) |  |

Definition at line 563 of file sfstubs.f90.

subroutine plshades_multiple_2 | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt), dimension(:) | clevel,
|  |  | fill_width,
|  | integer | cont_color,
|  |  | cont_width,
|  | real(kind=plflt), dimension(:,:) | xg2,
|  | real(kind=plflt), dimension(:,:) | yg2
| ) |  |

Definition at line 593 of file sfstubs.f90.

subroutine plshades_multiple_2r | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt), dimension(:) | clevel,
|  |  | fill_width,
|  | integer | cont_color,
|  |  | cont_width,
|  | logical | rectangular,
|  | real(kind=plflt), dimension(:,:) | xg2,
|  | real(kind=plflt), dimension(:,:) | yg2
| ) |  |

Definition at line 622 of file sfstubs.f90.

subroutine plshades_multiple_tr | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt) | fill_width,
|  | integer | cont_color,
|  | real(kind=plflt) | cont_width,
|  | real(kind=plflt), dimension(6) | tr
| ) |  |

Definition at line 652 of file sfstubs.f90.

subroutine plshades_multiple_trr | ( | real(kind=plflt), dimension(:,:) | z,
|  | character, dimension(*) | defined,
|  | real(kind=plflt) | xmin,
|  | real(kind=plflt) | xmax,
|  | real(kind=plflt) | ymin,
|  | real(kind=plflt) | ymax,
|  | real(kind=plflt), dimension(:) | clevel,
|  | real(kind=plflt) | fill_width,
|  | integer | cont_color,
|  | real(kind=plflt) | cont_width,
|  | logical | rectangular,
|  | real(kind=plflt), dimension(6) | tr
| ) |  |

Definition at line 681 of file sfstubs.f90.

subroutine plspal0 | ( | character*(*) | filename | ) |

Definition at line 786 of file sfstubs.f90.

subroutine plspal1 | ( | character*(*) | filename,
|  | integer | interpolate
| ) |  |

Definition at line 800 of file sfstubs.f90.

subroutine plstart | ( | character*(*) | devname,
|  | integer | nx,
|  | integer | ny
| ) |  |

Definition at line 879 of file sfstubs.f90.

subroutine plstring | ( | real(kind=plflt), dimension(:) | x,
|  | real(kind=plflt), dimension(:) | y,
|  | character(len=*) | string
| ) |  |

Definition at line 309 of file sfstubs.f90.

subroutine plstring3 | ( | real(kind=plflt), dimension(:) | x,
|  | real(kind=plflt), dimension(:) | y,
|  | real(kind=plflt), dimension(:) | z,
|  | character(len=*) | string
| ) |  |

Definition at line 327 of file sfstubs.f90.

subroutine pltimefmt | ( | character*(*) | fmt | ) |

Definition at line 894 of file sfstubs.f90.

subroutine plvectors_0 | ( | real(kind=plflt), dimension(:,:) | u,
|  | real(kind=plflt), dimension(:,:) | v,
|  | real(kind=plflt) | scale
| ) |  |

Definition at line 345 of file sfstubs.f90.

subroutine plvectors_1 | ( | real(kind=plflt), dimension(:,:) | u,
|  | real(kind=plflt), dimension(:,:) | v,
|  | real(kind=plflt) | scale,
|  | real(kind=plflt), dimension(:) | xg,
|  | real(kind=plflt), dimension(:) | yg
| ) |  |

Definition at line 356 of file sfstubs.f90.

subroutine plvectors_2 | ( | real(kind=plflt), dimension(:,:) | u,
|  | real(kind=plflt), dimension(:,:) | v,
|  | real(kind=plflt) | scale,
|  | real(kind=plflt), dimension(:,:) | xg,
|  | real(kind=plflt), dimension(:,:) | yg
| ) |  |

Definition at line 367 of file sfstubs.f90.

subroutine plvectors_tr | ( | real(kind=plflt), dimension(:,:) | u,
|  | real(kind=plflt), dimension(:,:) | v,
|  | real(kind=plflt) | scale,
|  | real(kind=plflt), dimension(6) | tr
| ) |  |

Definition at line 379 of file sfstubs.f90.